package com.sv.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.sv.json.LocalTimeSerializer;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalTime;
import java.util.Date;

/**
 * Entity - 场馆对应价格表
 *
 * @author lihong
 * @since 2018-08-22
 */
public class VenuePrice implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 场馆价格
     */
    private BigDecimal price;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 场馆类型
     */
    private Integer venueTye;

    /**
     * 起始时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.TIME)
    @JsonSerialize(using= LocalTimeSerializer.class)
    private LocalTime starTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.TIME)
    @JsonSerialize(using= LocalTimeSerializer.class)
    private LocalTime endTime;

    /**
     * 平台来源
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置场馆价格
     *
     * @param price 场馆价格
     */
    public void setPrice(BigDecimal price){
        this.price = price;
    }

    /**
     * 获取场馆价格
     *
     * @return 场馆价格
     */
    public BigDecimal getPrice(){
        return price;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置场馆类型
     *
     * @param venueTye 场馆类型
     */
    public void setVenueTye(Integer venueTye){
        this.venueTye = venueTye;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVenueTye(){
        return venueTye;
    }


    public LocalTime getStarTime() {
        return starTime;
    }

    public void setStarTime(LocalTime starTime) {
        this.starTime = starTime;
    }

    public LocalTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalTime endTime) {
        this.endTime = endTime;
    }

    /**
     * 设置平台来源
     *
     * @param platformId 平台来源
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源
     *
     * @return 平台来源
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}